/*
 * Copyright (c) 1992 Regents of the University of California.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms are permitted
 * provided that the above copyright notice and this paragraph are
 * duplicated in all such forms and that any documentation,
 * advertising materials, and other materials related to such
 * distribution and use acknowledge that the software was developed
 * by the University of California, Lawrence Berkeley Laboratory,
 * Berkeley, CA.  The name of the University may not be used to
 * endorse or promote products derived from this software without
 * specific prior written permission.
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
 * WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 *
 * @(#) $Header: /usr/src/mash/repository/mash/mash-1/ps/ps-dps.h,v 1.1 1997/01/04 06:53:55 mccanne Exp $ (LBL)
 */

#ifndef wb_dps_h
#define wb_dps_h

#ifdef DPS
#include "ps.h"

class PSstream;
class DrawOpPSComp;
class View;

class DPSinterp : public PSinterp {
    public:
	DPSinterp();
	virtual ~DPSinterp();
	virtual int available();
	virtual int send(DrawOpPSComp*, View*, PSstream*);
	virtual int busy();
	void page_done();
    private:
	void done();
};

#endif
#endif
