#ifndef srmv2_rreq_h
#define srmv2_rreq_h

#include "srmv2.h"
#include "timer.h"
#include "session-srmv2.h"
#include "source-srmv2.h"

class SRMv2_RReq : public Timer {
public:
	SRMv2_RReq(unsigned int ss, unsigned int es, unsigned int cid,
		 unsigned int sbytes, unsigned int ebytes);
	~SRMv2_RReq();

	void sched_timeout(int ms, SRMv2_Session *session, SRMv2_Source *src);

	u_int32_t msec_;
	u_int32_t ss_;
	u_int32_t es_;
	u_int32_t sbytes_;
	u_int32_t ebytes_;
	u_int32_t cid_;

	SRMv2_Source *source_;
	SRMv2_RReq *next_;
	SRMv2_Session *session_;
	
protected:
	void timeout();
};


#endif

