#ifndef mash_srmv2_api_h
#define mash_srmv2_api_h

typedef struct SRM_adubuf {
	int length;
	char *data;
} srm_adubuf;

typedef struct SRM_session_t {
	int badproto_;
	int simcount_;
	int atimer_;   /* SRM_ANNOUNCE timer, in ms */
	double lossProb_;
} srm_session_t;

srm_session_t srm_init();
srm_source_t  srm_source(void *session, char *sname);
unsigned int srm_calloc(void *src, unsigned int parent);

void srm_send(unsigned int cid, unsigned int seqno, char *buf, int len);
void srm_recv(unsigned int cid, unsigned int seqno,
	      char *buf, int len);
void srm_newcontainer(unsigned int cid, unsigned char *label);
srm_adubuf *srm_repair(unsigned int cid, unsigned int seqno);
int srm_request(unsigned int cid, unsigned int seqno);

#endif



